﻿/**Begin CREATE table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_USER_AGREEMENT') 
 CREATE TABLE T_GAI_USER_AGREEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FISAGREE CHAR(1) DEFAULT '0',
FAGREETIME DATETIME,
FVERSION VARCHAR(255)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_TENANT_AGREEMENT') 
 CREATE TABLE T_GAI_TENANT_AGREEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FTENANTID VARCHAR(50) DEFAULT ' ',
FUSERID BIGINT DEFAULT 0 NOT NULL,
FISAGREE CHAR(1) DEFAULT '0',
FAGREETIME DATETIME,
FVERSION VARCHAR(255)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_TENANT_AGREEMENT_R3') 
 CREATE TABLE T_GAI_TENANT_AGREEMENT_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS VARCHAR(1) DEFAULT '0'
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GAI_USER_AGREEMENT_R3') 
 CREATE TABLE T_GAI_USER_AGREEMENT_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS VARCHAR(1) DEFAULT '0'
);
/**End  CREATE table.sql **/

/**Begin constraint.sql **/
 EXEC P_ALTERPK 'PK_T_GAI_USER_AGREEMENT', 'T_GAI_USER_AGREEMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_USER_AGREEMENT') CREATE INDEX IDX_GAI_USER_AGREEMENT ON T_GAI_USER_AGREEMENT ( FUSERID );


 EXEC P_ALTERPK 'PK_T_GAI_TENANT_AGREEMENT', 'T_GAI_TENANT_AGREEMENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_TENANT_AGREEMENT') CREATE INDEX IDX_GAI_TENANT_AGREEMENT ON T_GAI_TENANT_AGREEMENT ( FUSERID );


 EXEC P_ALTERPK 'PK_T_GAI_TENANT_AGREEMENT_R3', 'T_GAI_TENANT_AGREEMENT_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_TENANT_AGREEMENT_R3') CREATE INDEX IDX_GAI_TENANT_AGREEMENT_R3 ON T_GAI_TENANT_AGREEMENT_R3 ( FREFSTATUS );


 EXEC P_ALTERPK 'PK_T_GAI_USER_AGREEMENT_R3', 'T_GAI_USER_AGREEMENT_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GAI_USER_AGREEMENT_R3') CREATE INDEX IDX_GAI_USER_AGREEMENT_R3 ON T_GAI_USER_AGREEMENT_R3 ( FREFSTATUS );



/**End constraint.sql **/

